org.eclipse.microprofile.rest.client.tck.interfaces

## Class LoggableInterceptor

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.interfaces.LoggableInterceptor

    @Interceptor
     @Priority(value=2000)
    public class LoggableInterceptor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`LoggableInterceptor()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Class<?>` `getInvocationClass()`
`static String` `getInvocationMethod()`
`static Object` `getResult()`
`Object` `logInvocation(javax.interceptor.InvocationContext ctx)`
`static void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggableInterceptor

    public LoggableInterceptor()

### Method Detail

#### getInvocationMethod

    public static String getInvocationMethod()

#### getInvocationClass

    public static Class<?> getInvocationClass()

#### getResult

    public static Object getResult()

#### reset

    public static void reset()

#### logInvocation

    public Object logInvocation(javax.interceptor.InvocationContext ctx)
                         throws Exception

Throws:
  `Exception`